Page MenuHomePhabricator

Make ULS accessible from keyboard
Closed, ResolvedPublic

Description

To make the ULS usable from the keyboard we need to:

  • Allow the ULS to be opened when pressing enter or space if the cog is focused.
  • Allow Display and Input tabs be focused in ULS personal toolbar mode using tab key and allow enter&space as trigger.
  • Allow Display and Input panes to be focused in ULS settings view using tab key and allow enter&space as trigger.

Pressing space should not scroll the screen when focus is on the cog or input/display.

See Also: T52575: Languages cogwheel missing accessibility features

Details

Reference
bz50793
Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterMake ULS trigger and settings more keyboard accessible

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:47 AM
bzimport set Reference to bz50793.
bzimport added a subscriber: Unknown Object (MLST).
santhosh created this task.Jul 5 2013, 10:49 AM
  1. is done already.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2016, 6:26 AM
Nikerabbit moved this task from Priority backlog to In Progress on the Language-2018-Jan-Mar board.

Change 407015 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/UniversalLanguageSelector@master] Make ULS settings more keyboard accessible

https://gerrit.wikimedia.org/r/407015

Nikerabbit updated the task description. (Show Details)Jan 31 2018, 3:03 PM
Nikerabbit removed a subscriber: wikibugs-l-list.

@santhosh @Nikerabbit Would be helpful to have screenshots before/after patch.

santhosh added a comment.EditedFeb 5 2018, 8:46 AM

Focus state of the language settings -> display settings:


Focus state for the Language settings at Interlanguage position

PS7:


Wikipedia:

Two, possibly related issues:
Ghost pointer appears in Firefox on hover (the white thing is the page content, not the popup):


Ghost line appears in Chrome on hover:

Nikerabbit removed a project: Patch-For-Review.

Change 407015 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Make ULS trigger and settings more keyboard accessible

https://gerrit.wikimedia.org/r/407015

Etonkovidova closed this task as Resolved.Feb 15 2018, 11:58 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked in wmf.21 - ULS seems to be accessible according to the specs in the ticket:

@Amire80, @Pginer-WMF - should be selection of languages be accessible also? If I select via keyboard 'Language settings'->'Display' and then click three dots menu - I am not able to select language:


Even after typing a specific language that is presented in the list, I have no way to enter it via keyboard.

Should be a separate ticket or it's ok for now?

KartikMistry moved this task from QA to Done on the Language-2018-Jan-Mar board.Feb 16 2018, 7:02 AM

Even after typing a specific language that is presented in the list, I have no way to enter it via keyboard.

Pressing enter selects the language for me. It's true that tabbing into the list of languages is not currently possible (except in CLL list)